//
//      bigtext - print big text using X11 fonts
//      Copyright (C) 2004, 2005, 2007, 2010, 2012 Peter Miller
//
//      This program is free software; you can redistribute it and/or modify
//      it under the terms of the GNU General Public License as published by
//      the Free Software Foundation; either version 3 of the License, or
//      (at your option) any later version.
//
//      This program is distributed in the hope that it will be useful,
//      but WITHOUT ANY WARRANTY; without even the implied warranty of
//      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//      GNU General Public License for more details.
//
//      You should have received a copy of the GNU General Public License
//      along with this program. If not, see
//      <http://www.gnu.org/licenses/>.
//

#include <bigtext/arglex/bigtext.h>


static const arglex::table_ty argtab[] =
{
    { "-Apple_Pascal", arglex_bigtext::token_apple_pascal, },
    { "-Font", arglex_bigtext::token_font, },
    { "-Internal_Code", arglex_bigtext::token_internal_code, },
    { "-Internal_Header", arglex_bigtext::token_internal_header, },
    { "-List", arglex_bigtext::token_list, },
    { "-Output", arglex_bigtext::token_output, },
    { "-Rotate", arglex_bigtext::token_rotate, },
    { "-Self", arglex_bigtext::token_self_char, },
    ARGLEX_END_MARKER
};


arglex_bigtext::~arglex_bigtext()
{
}


arglex_bigtext::arglex_bigtext(int argc, char **argv) :
    arglex(argc, argv)
{
    table_set(argtab);
    usage_tail_set("[ -font <name> ] <string>...");
}


// vim: set ts=8 sw=4 et :
