//
//      bigtext - print big text using X11 fonts
//      Copyright (C) 2004, 2005, 2007, 2010, 2012 Peter Miller
//
//      This program is free software; you can redistribute it and/or modify
//      it under the terms of the GNU General Public License as published by
//      the Free Software Foundation; either version 3 of the License, or
//      (at your option) any later version.
//
//      This program is distributed in the hope that it will be useful,
//      but WITHOUT ANY WARRANTY; without even the implied warranty of
//      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//      GNU General Public License for more details.
//
//      You should have received a copy of the GNU General Public License
//      along with this program. If not, see
//      <http://www.gnu.org/licenses/>.
//

#ifndef BIGTEXT_ARGLEX_BIGTEXT_H
#define BIGTEXT_ARGLEX_BIGTEXT_H

#include <lib/arglex.h>

/**
  * The arglex_bigtext class is used to represent the parse state of the
  * arguments on the command line.
  */
class arglex_bigtext:
    public arglex
{
public:
    enum
    {
        token_apple_pascal = token_MAX,
        token_font,
        token_internal_code,
        token_internal_header,
        token_list,
        token_output,
        token_rotate,
        token_self_char
    };

    /**
      * The destructor.
      */
    virtual ~arglex_bigtext();

    /**
      * The constructor.
      */
    arglex_bigtext(int argc, char **argv);

private:
    /**
      * The default constructor.  Do not use.
      */
    arglex_bigtext();

    /**
      * The copy constructor.  Do not use.
      */
    arglex_bigtext(const arglex_bigtext &);

    /**
      * The assignment operator.  Do not use.
      */
    arglex_bigtext &operator=(const arglex_bigtext &);
};

// vim: set ts=8 sw=4 et :
#endif // BIGTEXT_ARGLEX_BIGTEXT_H
