//
//      bigtext - print big text using X11 fonts
//      Copyright (C) 2006, 2007, 2010 Peter Miller
//
//      This program is free software; you can redistribute it and/or modify
//      it under the terms of the GNU General Public License as published by
//      the Free Software Foundation; either version 3 of the License, or
//      (at your option) any later version.
//
//      This program is distributed in the hope that it will be useful,
//      but WITHOUT ANY WARRANTY; without even the implied warranty of
//      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//      GNU General Public License for more details.
//
//      You should have received a copy of the GNU General Public License
//      along with this program. If not, see
//      <http://www.gnu.org/licenses/>.
//

#include <bigtext/canvas/offset.h>


canvas_offset::~canvas_offset()
{
}


canvas_offset::canvas_offset(canvas *a_deeper, int a_ox, int a_oy) :
    deeper(a_deeper),
    ox(a_ox),
    oy(a_oy)
{
}


void
canvas_offset::set(int x, int y, char c)
{
    deeper->set(x + ox, y + oy, c);
}


int
canvas_offset::get(int x, int y)
{
    return deeper->get(x + ox, y + oy);
}


void
canvas_offset::print()
    const
{
    deeper->print();
}
