//
//      bigtext - print big text using X11 fonts
//      Copyright (C) 2006, 2007, 2010 Peter Miller
//
//      This program is free software; you can redistribute it and/or modify
//      it under the terms of the GNU General Public License as published by
//      the Free Software Foundation; either version 3 of the License, or
//      (at your option) any later version.
//
//      This program is distributed in the hope that it will be useful,
//      but WITHOUT ANY WARRANTY; without even the implied warranty of
//      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//      GNU General Public License for more details.
//
//      You should have received a copy of the GNU General Public License
//      along with this program. If not, see
//      <http://www.gnu.org/licenses/>.
//

#ifndef BIGTEXT_CANVAS_OFFSET_H
#define BIGTEXT_CANVAS_OFFSET_H

#include <bigtext/canvas.h>

/**
  * The canvas_offset class is used to represent a translation to be
  * applied when accessing the deeper canvas.
  */
class canvas_offset:
    public canvas
{
public:
    /**
      * The destructor.
      */
    virtual ~canvas_offset();

    /**
      * The constructor.
      */
    canvas_offset(canvas *deeper, int ox, int oy);

    void set(int, int, char);

    int get(int, int);

    void print() const;

private:
    canvas *deeper;
    int ox;
    int oy;

    /**
      * The default constructor.
      */
    canvas_offset();

    /**
      * The copy constructor.
      */
    canvas_offset(const canvas_offset &);

    /**
      * The assignment operator.
      */
    canvas_offset &operator=(const canvas_offset &);
};

#endif // BIGTEXT_CANVAS_OFFSET_H
