//
//      bigtext - print big text using X11 fonts
//      Copyright (C) 2004, 2007, 2010 Peter Miller
//
//      This program is free software; you can redistribute it and/or modify
//      it under the terms of the GNU General Public License as published by
//      the Free Software Foundation; either version 3 of the License, or
//      (at your option) any later version.
//
//      This program is distributed in the hope that it will be useful,
//      but WITHOUT ANY WARRANTY; without even the implied warranty of
//      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//      GNU General Public License for more details.
//
//      You should have received a copy of the GNU General Public License
//      along with this program. If not, see
//      <http://www.gnu.org/licenses/>.
//

#ifndef BIGTEXT_CANVAS_ROTATE_H
#define BIGTEXT_CANVAS_ROTATE_H

#include <bigtext/canvas.h>

/**
  * The canvas_rotate class is used to represent
  */
class canvas_rotate:
    public canvas
{
public:
    /**
      * The destructor.
      */
    virtual ~canvas_rotate();

    /**
      * The constructor.
      */
    canvas_rotate(canvas *deeper);

    // See base class for documentation.
    void set(int x, int y, char c);

    // See base class for documentation.
    int get(int x, int y);

    // See base class for documentation.
    void print() const;

private:
    /**
      * The deeper instance varaible is used to remember the canvas upon
      * which this filter draws.
      */
    canvas *deeper;

    /**
      * The default constructor.  Do not use.
      */
    canvas_rotate();

    /**
      * The copy constructor.  Do not use.
      */
    canvas_rotate(const canvas_rotate &);

    /**
      * The assignment operator.  Do not use.
      */
    canvas_rotate &operator=(const canvas_rotate &);
};

#endif // BIGTEXT_CANVAS_ROTATE_H
