//
//      bigtext - print big text using X11 fonts
//      Copyright (C) 2006, 2007, 2010 Peter Miller
//
//      This program is free software; you can redistribute it and/or modify
//      it under the terms of the GNU General Public License as published by
//      the Free Software Foundation; either version 3 of the License, or
//      (at your option) any later version.
//
//      This program is distributed in the hope that it will be useful,
//      but WITHOUT ANY WARRANTY; without even the implied warranty of
//      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//      GNU General Public License for more details.
//
//      You should have received a copy of the GNU General Public License
//      along with this program. If not, see
//      <http://www.gnu.org/licenses/>.
//

#ifndef BIGTEXT_CANVAS_SCALE_H
#define BIGTEXT_CANVAS_SCALE_H

#include <bigtext/canvas.h>

/**
  * The canvas_scale class is used to represent a filter which scales
  * all (X,Y) coordinates.
  */
class canvas_scale:
    public canvas
{
public:
    /**
      * The destructor.
      */
    virtual ~canvas_scale();

    /**
      * The constructor.
      */
    canvas_scale(canvas *deeper, double sx, double sy);

    // See base class for documentation.
    void set(int, int, char);

    // See base class for documentation.
    int get(int, int);

    // See base class for documentation.
    void print() const;

private:
    canvas *deeper;
    double sx;
    double sy;

    /**
      * The default constructor.  Do not use.
      */
    canvas_scale();

    /**
      * The copy constructor.  Do not use.
      */
    canvas_scale(const canvas_scale &);

    /**
      * The assignment operator.  Do not use.
      */
    canvas_scale &operator=(const canvas_scale &);
};

#endif // BIGTEXT_CANVAS_SCALE_H
