//
//      bigtext - print big text using X11 fonts
//      Copyright (C) 2004, 2007, 2010 Peter Miller
//
//      This program is free software; you can redistribute it and/or modify
//      it under the terms of the GNU General Public License as published by
//      the Free Software Foundation; either version 3 of the License, or
//      (at your option) any later version.
//
//      This program is distributed in the hope that it will be useful,
//      but WITHOUT ANY WARRANTY; without even the implied warranty of
//      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//      GNU General Public License for more details.
//
//      You should have received a copy of the GNU General Public License
//      along with this program. If not, see
//      <http://www.gnu.org/licenses/>.
//

#ifndef BIGTEXT_FONT_INTERNAL_H
#define BIGTEXT_FONT_INTERNAL_H

#include <bigtext/font.h>

/**
  * The font_internal class is used to represent the state of an
  * internal (hard coded) font.
  */
class font_internal:
    public font
{
public:
    /**
      * The destructor.
      */
    virtual ~font_internal();

protected:
    /**
      * The default constructor.
      * It may only be called by derived classes.
      */
    font_internal();

public:
    // See base class for documentation.
    glyph *get_glyph(unsigned c);

    // See base class for documentation.
    int get_ascent();

    // See base class for documentation.
    int get_descent();

private:
    /**
      * The copy constructor.  Do not use.
      */
    font_internal(const font_internal &);

    /**
      * The assignment operator.  Do not use.
      */
    font_internal &operator=(const font_internal &);
};

#endif // BIGTEXT_FONT_INTERNAL_H
