//
//      bigtext - print big text using X11 fonts
//      Copyright (C) 2004, 2007, 2010 Peter Miller
//
//      This program is free software; you can redistribute it and/or modify
//      it under the terms of the GNU General Public License as published by
//      the Free Software Foundation; either version 3 of the License, or
//      (at your option) any later version.
//
//      This program is distributed in the hope that it will be useful,
//      but WITHOUT ANY WARRANTY; without even the implied warranty of
//      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//      GNU General Public License for more details.
//
//      You should have received a copy of the GNU General Public License
//      along with this program. If not, see
//      <http://www.gnu.org/licenses/>.
//

#ifndef BIGTEXT_FONT_INTERNAL_VARIABLE_H
#define BIGTEXT_FONT_INTERNAL_VARIABLE_H

#include <bigtext/font/internal.h>

/**
  * The font_internal_variable class is used to represent the
  * built-in form of the "variable" font.
  */
class font_internal_variable:
    public font_internal
{
public:
    /**
      * The destructor.
      */
    virtual ~font_internal_variable();

    /**
      * The default constructor.
      */
    font_internal_variable();

    // See base class for documentation.
    glyph *get_glyph(unsigned n);

    // See base class for documentation.
    int get_ascent();

    // See base class for documentation.
    int get_descent();

    // See base class for documentation.
    const char *get_name() const;

private:
    /**
      * The glyph_ptr instance variable is used to
      * remember the pointers to instances of the
      * glyphs which make up the font.
      */
    glyph **glyph_ptr;

    /**
      * The copy constructor.  Do not use.
      */
    font_internal_variable(const font_internal_variable &);

    /**
      * The assignment operator.  Do not use.
      */
    font_internal_variable &operator=(const font_internal_variable &);
};

#endif // FONT_INTERNAL_VARIABLE_H
