//
//      bigtext - print big text using X11 fonts
//      Copyright (C) 2004, 2007, 2010 Peter Miller
//
//      This program is free software; you can redistribute it and/or modify
//      it under the terms of the GNU General Public License as published by
//      the Free Software Foundation; either version 3 of the License, or
//      (at your option) any later version.
//
//      This program is distributed in the hope that it will be useful,
//      but WITHOUT ANY WARRANTY; without even the implied warranty of
//      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//      GNU General Public License for more details.
//
//      You should have received a copy of the GNU General Public License
//      along with this program. If not, see
//      <http://www.gnu.org/licenses/>.
//

#ifndef BIGTEXT_FONT_SERVER_COMPOUND_H
#define BIGTEXT_FONT_SERVER_COMPOUND_H

#include <bigtext/font_server/internal.h>
#include <bigtext/font_server/xfs.h>

/**
  * The font_server_compound class is used to represent a compund font
  * server, containing both the internal and xfs servers.
  */
class font_server_compound:
    public font_server
{
public:
    /**
      * The destructor.
      */
    virtual ~font_server_compound();

    /**
      * The default constructor.
      */
    font_server_compound();

    // See base class for documentation.
    font_list get_font_list(const char *pattern = 0);

    // See base class for documentation.
    font *get_font(const char *name);

private:
    font_server_internal internal;
    font_server_xfs xfs;

    /**
      * The copy constructor.  Do not use.
      */
    font_server_compound(const font_server_compound &);

    /**
      * The assignment operator.  Do not use.
      */
    font_server_compound &operator=(const font_server_compound &);
};

#endif // BIGTEXT_FONT_SERVER_COMPOUND_H
