'\" t
.\"     bigtext - print big text using X11 fonts
.\"     Copyright (C) 2004, 2007, 2009, 2010 Peter Miller
.\"
.\"     This program is free software; you can redistribute it and/or modify
.\"     it under the terms of the GNU General Public License as published by
.\"     the Free Software Foundation; either version 3 of the License, or
.\"     (at your option) any later version.
.\"
.\"     This program is distributed in the hope that it will be useful,
.\"     but WITHOUT ANY WARRANTY; without even the implied warranty of
.\"     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\"     GNU General Public License for more details.
.\"
.\"     You should have received a copy of the GNU General Public License
.\"     along with this program. If not, see
.\"     <http://www.gnu.org/licenses/>.
.\"
.TH "Read Me" BigText BigText "Reference Manual"
.so etc/version.so
.hy 0
.ad l
.SH NAME
Bigtext \- print big text using X11 fonts
.XX "" "The README file"
.SH DESCRIPTION
The \fIBigText\fP program is used to print big text banners using X11 fonts.
.PP
A long time ago, when text terminals were the norm, and graphical
desktops were the pipe\[hy]dreams of wealthy R&D labs, there were programs
to print big banners on chunky, noisy, ascii line printers.
.PP
.nf
.ft CW
               ##
  #######      ##            ##########
   ##   ###                 ##   ##  ##
   ##    ##                 #    ##   #                     #
   ##    ##                      ##                        ##
  ##     ##  ###     ######     ##        ###   ###  ##  #####
  ##   ###    ##    ## ##       ##      ##  ##   ##  ##   ##
  ######      ##   ##   ##      ##      #   ##   ## ##    ##
  ##   ##     ##   ##   ##      ##     ##  ##     ###     ##
 ##     ##   ##    ##  ##      ##      #####     ###     ##
 ##     ##   ##    ### ##      ##      ###       ###     ##
 ##    ###   ##     ####       ##      ##    #  ## ##    ##
 ##   ###    ## #   #          ##      ###  #  ##  ####  ## #
#######      ###   ######     ####      ####   ##   ##    ##
                  ##   ###
                 ##     ##
                 ###   ##
                  #####
.ft P
.fi
.PP
I wrote BigText because I wanted to put "warning" in big fancy letters
in one of my source files.  And all the banner programs I could find
were too big, or too small, or too ugly.
.PP
With \fIBigText\fP all you have to do is use \fIxlsfonts\fP(1) or
\fIxfontsel\fP(1) to choose a font, and then run \fIbigtext\fP(1) to get
any banner text you want.
.PP
.br
.ne 1i
.SH ARCHIVE SITE
The latest version of \fIBigText\fP is available on the Web from:
.RS 4m
.TS
tab(;);
l l s
l l l.
URL:;http://bigtext.sourceforge.net/
File:;bigtext.html;# the bigtext page
File:;bigtext\[hy]\*(v).README;# Description, from the tar file
File:;bigtext\[hy]\*(v).lsm;# Description, LSM format
File:;bigtext\[hy]\*(v).spec;# RedHat package specification
File:;bigtext\[hy]\*(v).tar.gz;# the complete source
File:;bigtext\[hy]\*(v).pdf;# Reference Manual
.TE
.RE
.PP
This Web page also contains a few other pieces of software written by me.
Please have a look if you are interested.
.br
.ne 1i
.SH BUILDING BIGTEXT
Full instructions for building \fIBigText\fP may be found in the
\fIBUILDING\fP file included in this distribution.
.LP
It is also possible to build \fIBigText\fP on Windows using the
Cygwin (www.cygwin.com) or DJGPP (www.delorie.com/djgpp) environments.
Instructions are in the \fIBUILDING\fP file, including how to get native
Windows binaries.
.br
.ne 1i
.SH COPYRIGHT
\fIBigText\fP version \*(v)
.br
Copyright
.if t \(co
.if n (C)
\*(Y) Peter Miller
.PP
This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; version 3 of the License.
.PP
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.
.PP
You should have received a copy of the GNU General Public License along
with this program. If not, see <http://www.gnu.org/licenses/>.
.PP
It should be in the \fILICENSE\fP file included with this distribution.
.br
.ne 1i
.SH AUTHOR
.TS
tab(;);
l l l.
Peter Miller;E\[hy]Mail:;pmiller@opensource.org.au
\f(CW/\e/\e*\fP;WWW:;http://miller.emu.id.au/pmiller/
.TE
.br
.bp
.SH RELEASE NOTES
.XX "" "Release Notes"
This section details the various features and bug fixes of the various
releases.  For excruciating and complete detail, and also credits for
those of you who have generously sent me suggestions and bug reports,
see the \fIetc/CHANGES.*\fP files.
.so etc/new.so
